<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:background="@color/colorWhite">

    <include layout="@layout/view_toolbar"/>

    <androidx.cardview.widget.CardView
        android:id="@+id/actionToUserView"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        app:cardBackgroundColor="@color/white"
        app:cardElevation="10dp"
        android:clipToPadding="false">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/backgroundGrey"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/callView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/white"
                android:orientation="vertical"
                android:gravity="center">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/spaceNormal"
                        android:src="@drawable/icon_profile_call"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="@string/profile_call"
                        android:textColor="@color/colorPrimary"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/messageView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/white"
                android:orientation="vertical"
                android:layout_marginStart="1dp"
                android:gravity="center">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/spaceNormal"
                        android:src="@drawable/icon_profile_message"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="@string/profile_message"
                        android:textColor="@color/colorPrimary"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/qrCodeView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/white"
                android:orientation="vertical"
                android:layout_marginStart="1dp"
                android:gravity="center">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/spaceNormal"
                        android:src="@drawable/icon_qr_code"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="@string/profile_qr_code"
                        android:textColor="@color/colorPrimary"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/locationView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/white"
                android:orientation="vertical"
                android:layout_marginStart="1dp"
                android:gravity="center">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="12dp"
                        android:layout_height="15dp"
                        android:layout_marginEnd="@dimen/spaceNormal"
                        android:src="@drawable/icon_pin"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="@string/profile_location"
                        android:textColor="@color/colorPrimary"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>
        
    </androidx.cardview.widget.CardView>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="@dimen/spaceLarge">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <FrameLayout
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    app:layout_constraintDimensionRatio="H,2:1"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.cardview.widget.CardView
                        android:layout_width="104dp"
                        android:layout_height="104dp"
                        android:layout_gravity="center"
                        app:cardCornerRadius="52dp"
                        app:cardBackgroundColor="@color/white"
                        app:cardElevation="8dp">
                        <de.hdodenhof.circleimageview.CircleImageView
                            android:id="@+id/profileImageView"
                            android:layout_width="100dp"
                            android:layout_height="100dp"
                            android:src="@drawable/icon_profile_placeholder"
                            app:civ_circle_background_color="@color/colorWhite"
                            android:layout_gravity="center"/>
                    </androidx.cardview.widget.CardView>



                </FrameLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

            </LinearLayout>
            
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_name_hint" />

                <TextView
                    android:id="@+id/nameTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textBlack"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/nationalityView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_nationality_hint" />

                <TextView
                    android:id="@+id/nationalityTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textBlack"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/dateOfBirthView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_date_of_birth_hint" />

                <TextView
                    android:id="@+id/dateOfBirthTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textGrey"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/passportNumberView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_passport_number_hint" />

                <TextView
                    android:id="@+id/passportNumberTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textGrey"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/issueAtView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_issue_at_hint" />

                <TextView
                    android:id="@+id/issueAtTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textGrey"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/issueDateView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_marginTop="@dimen/spaceNormal"
                    android:layout_marginStart="@dimen/spaceLarge"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textStyle="bold"
                        android:textSize="@dimen/textSizeLarge"
                        android:textColor="@color/textGrey"
                        android:text="@string/profile_issue_date_hint" />

                    <TextView
                        android:id="@+id/issueDateTextView"
                        android:layout_width="match_parent"
                        android:layout_height="42dp"
                        android:gravity="center_vertical"
                        android:textColor="@color/textGrey"
                        android:background="@drawable/edit_text_background" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/expiryView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_marginTop="@dimen/spaceNormal"
                    android:layout_marginStart="@dimen/spaceLarge"
                    android:layout_marginEnd="@dimen/spaceLarge"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textStyle="bold"
                        android:textSize="@dimen/textSizeLarge"
                        android:textColor="@color/textGrey"
                        android:text="@string/profile_expire_date_hint" />

                    <TextView
                        android:id="@+id/issueExpireAtTextView"
                        android:layout_width="match_parent"
                        android:layout_height="42dp"
                        android:gravity="center_vertical"
                        android:textColor="@color/textGrey"
                        android:background="@drawable/edit_text_background" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/roomRequestContainerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_room_request_hint" />

                <TextView
                    android:id="@+id/roomRequestTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textGrey"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/seatRequestContainerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_seat_request_hint" />

                <TextView
                    android:id="@+id/seatRequestTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textGrey"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/specialRequestContainerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spaceNormal"
                android:layout_marginStart="@dimen/spaceLarge"
                android:layout_marginEnd="@dimen/spaceLarge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:textSize="@dimen/textSizeLarge"
                    android:textColor="@color/textGrey"
                    android:text="@string/profile_special_request_hint" />

                <TextView
                    android:id="@+id/specialRequestTextView"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/textGrey"
                    android:background="@drawable/edit_text_background" />

            </LinearLayout>

        </LinearLayout>

    </ScrollView>

</LinearLayout>


